import http from "@/api";
const CONFIG = `/config`;
//配置列表分页
export const getConfigListApi = (params: any) => {
    return http.get<any>(`${CONFIG}/index`, params);
};
//配置新增
export const getConfigSaveApi = (params: any) => {
    return http.post<any>(`${CONFIG}/save`, params);
};

//配置更新
export const getConfigUpApi = (params: any) => {
    const { id } = params;
    return http.put<any>(`${CONFIG}/update/${id}`, params);
};
//配置详情
export const getConfigReadApi = (params: any) => {
    return http.get<any>(`${CONFIG}/read/${params}`);
};
//配置删除
export const getConfigDelApi = (params: any) => {
    return http.delete<any>(`${CONFIG}/delete/${params}`);
};
//分组 getConfigGroupsApi getConfigTypesApi
export const getConfigGroupsApi = () => {
    return http.get<any>(`${CONFIG}/groups`);
};
//分类
export const getConfigTypesApi = () => {
    return http.get<any>(`${CONFIG}/types`);
};
// export const getConfigListApi = (params: any) => {
//     return http.get<any>(`${CONFIG}/index`, params);
// };
